## org.eclipse.ocl.cst
Enum MessageExpKind

    java.lang.Object
      java.lang.Enum<MessageExpKind>
          org.eclipse.ocl.cst.MessageExpKind

All Implemented Interfaces:
  Serializable, Comparable<MessageExpKind>, Enumerator

    public enum MessageExpKind

extends Enum<MessageExpKind>
implements Enumerator

A representation of the literals of the enumeration 'Message Exp Kind', and utility methods for working with them.

See Also:
  `CSTPackage.getMessageExpKind()`

Enum Constant Summary
`HAS_SENT_LITERAL` The 'Has Sent' literal object
`SENT_LITERAL` The 'Sent' literal object

Field Summary
`static int` `HAS_SENT` The 'Has Sent' literal value
`static int` `SENT` The 'Sent' literal value
`static List<MessageExpKind>` `VALUES` A public read-only list of all the 'Message Exp Kind' enumerators

Method Summary
`static MessageExpKind` `get(int value)` Returns the 'Message Exp Kind' literal with the specified integer value
`static MessageExpKind` `get(String literal)` Returns the 'Message Exp Kind' literal with the specified literal value
`static MessageExpKind` `getByName(String name)` Returns the 'Message Exp Kind' literal with the specified name
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static MessageExpKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageExpKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HAS_SENT_LITERAL

    public static final MessageExpKind HAS_SENT_LITERAL

  The 'Has Sent' literal object.

  See Also:
    `HAS_SENT`

### SENT_LITERAL

    public static final MessageExpKind SENT_LITERAL

  The 'Sent' literal object.

  See Also:
    `SENT`

Field Detail

### HAS_SENT

    public static final int HAS_SENT

  The 'Has Sent' literal value.

  If the meaning of 'Has Sent' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HAS_SENT_LITERAL`, Constant Field Values

### SENT

    public static final int SENT

  The 'Sent' literal value.

  If the meaning of 'Sent' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SENT_LITERAL`, Constant Field Values

### VALUES

    public static final List<MessageExpKind> VALUES

  A public read-only list of all the 'Message Exp Kind' enumerators.

Method Detail

### values

    public static final MessageExpKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageExpKind c : MessageExpKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageExpKind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static MessageExpKind get(String literal)

  Returns the 'Message Exp Kind' literal with the specified literal value.

### getByName

    public static MessageExpKind getByName(String name)

  Returns the 'Message Exp Kind' literal with the specified name.

### get

    public static MessageExpKind get(int value)

  Returns the 'Message Exp Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<MessageExpKind>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.